Function
jumpToRegion
Seek in BAM BGZF stream using an index.
jumpToRegion(bgzfStream, hasAlignments, bamIOContext, refId, pos, posEnd, bamIndex)
Include Headers
seqan/bam_io.h
Parameters

bgzfStream | The BGZF Stream to seek in. Types: BGZF Stream
refId | Reference ID to seek to. Types: __int32
hasAlignments | Set to true iff there are alignments at this position. Types: bool
bamIOContext | Context to use for loading alignments. Types: BamIOContext
pos | Zero-based begin position in the reference. Zero-based (exclusive, C-style) end position in the reference. Types: __int32, __int32
bamIndex | The index to use. Types: BamIndex

Remarks
This function may fail if the refId/pos is invalid.
Return Values
bool indicating success.
Member of
BamIndex
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57